iso_8859_8.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Macros

#define | ENC_IS_ISO_8859_8_CTYPE(code, ctype) ((EncISO_8859_8_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

## Functions

static int | is_code_ctype (OnigCodePoint code, unsigned int ctype, OnigEncoding enc ARG_UNUSED)
| OnigEncodingDefine (iso_8859_8, ISO_8859_8)

## Variables

static const unsigned short | EncISO_8859_8_CtypeTable [256]

## Macro Definition Documentation

#define ENC_IS_ISO_8859_8_CTYPE | ( |  | code,
|  |  | ctype
| ) |  | ((EncISO_8859_8_CtypeTable[code] & CTYPE_TO_BIT(ctype)) != 0)

Definition at line 32 of file iso_8859_8.c.

Referenced by is_code_ctype().

## Function Documentation

static int is_code_ctype | ( | OnigCodePoint | code,
|  | unsigned int | ctype,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 71 of file iso_8859_8.c.

References ENC_IS_ISO_8859_8_CTYPE, and FALSE.

OnigEncodingDefine | ( | iso_8859_8 | ,
|  | ISO_8859_8 |
| ) |  |

## Variable Documentation

const unsigned short EncISO_8859_8_CtypeTable[256]

static

Definition at line 35 of file iso_8859_8.c.